%define __libtoolize :

%define ver 1.2.6
%define momorel 1

Summary: Simple DirectMedia Layer - Sample Mixer Library
Name: SDL_mixer
Version: %{ver}
Release: %{momorel}m
%NoSource 0 http://www.libsdl.org/projects/SDL_mixer/release/%{name}-%{version}.tar.gz 2b8beffad9179d80e598c22c80efb135
URL: http://www.libsdl.org/projects/SDL_mixer/
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Patch1: SDL_mixer-1.0.6-redhat.patch
BuildPreReq: audiofile-devel >= 0.2.1
BuildPreReq: SDL-devel >= 1.2.7-9m
BuildPreReq: libvorbis >= 1.0-2m
BuildPreReq: automake15
Requires: audiofile >= 0.2.1

%description
Due to popular demand, here is a simple multi-channel audio mixer.
It supports 4 channels of 16 bit stereo audio, plus a single channel
of music, mixed by the popular MikMod MOD, Timidity MIDI and SMPEG MP3
libraries.

%package devel
Summary: Libraries, includes and more to develop SDL applications.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Due to popular demand, here is a simple multi-channel audio mixer.
It supports 4 channels of 16 bit stereo audio, plus a single channel
of music, mixed by the popular MikMod MOD, Timidity MIDI and SMPEG MP3
libraries.

%prep
%setup -q
%patch1 -p1 -b .redhat

%build
aclocal-1.5
automake-1.5 -c -a 
autoconf
%configure
make %{?_smp_mflags} || make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
#%{_bindir}/playmus
#%{_bindir}/playwave
%{_libdir}/lib*.so.*
%{_libdir}/lib*.so

%files devel
%defattr(-,root,root)
%{_libdir}/*a
%{_includedir}/SDL/*

%changelog
* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.6-1m)
- version up

* Sun Aug 29 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2.5-4m)
- build against SDL-1.2.7-4m

* Sat May 22 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.5-3m)
- remove smpeg support

* Tue Sep  2 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.2.5-2m)
- rebuild against SDL-1.2.6
- don't use %%{version} in Version:
- use %%NoSOurce macro

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.2.5-1m)
  update to 1.2.5(rebuild against DirectFB 0.9.18)

* Sun Dec 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.4-1m)

* Tue Aug 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.1-4m)
- reubuild aginst SDL-1.2.4-3m

* Fri Jul 19 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (1.2.1-3m)
- added BuildPreReq: libvorbis-devel >= 1.0-2m

* Thu May  9 2002 Toru Hoshina <t@kondara.org>
- (1.2.1-2k)
- version up.

* Thu Jan 10 2002 Shingo Akagaki <dora@kondara.org>
- (1.2.0-8k)
- automake autoconf 1.5

* Thu Nov  8 2001 Shingo Akagaki <dora@kondara.org>
- (1.2.0-6k)
- nigirisugi

* Thu Aug 23 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.0-4k)
- rebuild against SDL 1.2.2.

* Sat Apr 14 2001 Shingo Akagaki <dora@kondara.org>
- version 1.2.0

* Tue Mar 27 2001 Toru Hoshina <toru@df-usa.com>
- (1.1.0-3k)

* Sun Dec 24 2000 Kenichi Matsubara <m@kondara.org>
- (1.0.6-7k)
- rebuild against audiofile-0.2.0.

* Fri Dec  1 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.0.6-5k)
- added unresolved.resolve.patch

* Mon Oct 30 2000 Toru Hoshina <toru@df-usa.com>
- be kondarized. (1.0.10-1k)

* Wed Jan 19 2000 Sam Lantinga 
- converted to get package information from configure
* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file

